Subject: Re: bug#74833: 31.0.50; Copy to OS clipboard doesn't work in macOS Terminal.app with xterm-mouse-mode enabled

From: Gerd Möllmann <[email-masked]>
Date: Sun, 22 Dec 2024 07:12:46 +0100

Richard Stallman <[email-masked]> writes:

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
>   > I took a look at xclip's code, and its scope is larger than just macOS
>   > pasteboard integration. If I volunteered to help adopt xclip into Emacs,
>
> Merging the application program xclip into Emacs seems like doing
> things the roundabout way.  Doesn't Emacs already have access to the X
> clipboard and selections?  If it doesn't have all the desirable
> features in that area, we can implement the missing ones simply
> like the already-implemened ones.

The 'xclip' meant here is the ELPA package

  https://elpa.gnu.org/packages/xclip.html